Page 1 of 1

Brand new Raspberry Pi, apt-get upgrade error

Posted: Wed Jan 11, 2017 3:38 pm
by p4tm4n
Hello,

A while ago i tried to setup a Raspberry Pi and got stuck. So now i tried it again, but a similar issue appears. I have a model B+ btw.

I have downloaded today the latest Raspian release and wrote the Image on an 8GB SD-Card (via Win32DiskImager previously formatted by SDFormatter 4.0). I inserted the card and turned on the Pi, it booted and showed the Desktop. First thing to do was `sudo apt-get update` and `sudo apt-get upgrade` which ran into an error.

The error was some `dkpg` Error concering `rpi-chromium-mods`. I did not knew if i could go on, however i tried to install `samba` resulting in an `dkpg` error for `samba` and `rpi-chromium-mods`. Well i decided to reboot the raspberry but it got stuck in the "Welcome to PIXEL" screen with some kind of terminal overlay. I don't think that's normal and i don't know where to go from here.

So i really like to get started using my raspberry pi but i am stuck.

- How can a fresh installation run into an Error? Is my Hardware corrupt?
- If not how can i troubleshoot the reasons of the failure?
- How to get the Pi up and running again?

Thanks for any kind of help

Re: Brand new Raspberry Pi, apt-get upgrade error

Posted: Wed Jan 11, 2017 3:41 pm
by ShiftPlusOne
Sounds like a corrupted SD card. Would you happen to know the make and model?

Re: Brand new Raspberry Pi, apt-get upgrade error

Posted: Wed Jan 11, 2017 4:00 pm
by p4tm4n
Yes, it is a "Intenso Micro SDHC 8GB Class 10". Can you tell me why do you think that the SD-Card is corrupted? Can i test that in some way?

Re: Brand new Raspberry Pi, apt-get upgrade error

Posted: Wed Jan 11, 2017 4:22 pm
by ShiftPlusOne
p4tm4n wrote:Yes, it is a "Intenso Micro SDHC 8GB Class 10". Can you tell me why do you think that the SD-Card is corrupted? Can i test that in some way?
Without the full error message, it's only a suspicion. The output of dmesg may show that it's an sd card issue, but you'd need to run it shortly after you start seeing problems like that.

Also see this topic viewtopic.php?f=91&t=170410

Re: Brand new Raspberry Pi, apt-get upgrade error

Posted: Wed Jan 11, 2017 4:41 pm
by smokingwheels
If you are running Win10 try with Rufus https://rufus.akeo.ie/
You may need to switch to DD burn mode but first try the defaults.

It also has a check for bad blocks!

Image

Re: Brand new Raspberry Pi, apt-get upgrade error

Posted: Wed Jan 11, 2017 5:34 pm
by ShiftPlusOne
smokingwheels wrote:If you are running Win10 try with Rufus https://rufus.akeo.ie/
You may need to switch to DD burn mode but first try the defaults.

It also has a check for bad blocks!

Image
If the problem is what I think it is, that's not going to help.

Re: Brand new Raspberry Pi, apt-get upgrade error

Posted: Wed Jan 11, 2017 10:43 pm
by p4tm4n
ShiftOnePlus i think you were right. Actually i tried with another SD-Card and now it works :D Yeah! So i think the card is defintely to blame.

Probably the issue was when formatting the previous SD-Card i had not used "FORMAT SIZE ADJUSTMENT". I have not seen or overread this in the guides i have looked into and found this mentioned somewhere this time. So i tried it, i don't know if it could have caused the trouble, I will try again with this option and the old SD-Card tomorrow.